SciLinux: SLSA-2022-6711-1 Important: firefox on SL7.x x86_64 | Lin...
Synopsis:          Important: firefox security update
Advisory ID:       SLSA-2022:6711-1
Issue Date:        2022-09-26
CVE Numbers:       CVE-2022-40959
                   CVE-2022-40960
                   CVE-2022-40958
                   CVE-2022-40956
                   CVE-2022-40957
                   CVE-2022-40962
--

This update upgrades Firefox to version 102.3.0 ESR.

Security Fix(es):

* Mozilla: Bypassing FeaturePolicy restrictions on transient pages
(CVE-2022-40959)

* Mozilla: Data-race when parsing non-UTF-8 URLs in threads
(CVE-2022-40960)

* Mozilla: Memory safety bugs fixed in Firefox 105 and Firefox ESR 102.3
(CVE-2022-40962)

* Mozilla: Bypassing Secure Context restriction for cookies with __Host
and  __Secure prefix (CVE-2022-40958)

* Mozilla: Content-Security-Policy base-uri bypass (CVE-2022-40956)

* Mozilla: Incoherent instruction cache when building WASM on ARM64
(CVE-2022-40957)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
--

SL7
  x86_64
    firefox-102.3.0-6.el7_9.x86_64.rpm
    firefox-debuginfo-102.3.0-6.el7_9.x86_64.rpm
    firefox-102.3.0-6.el7_9.i686.rpm
    firefox-debuginfo-102.3.0-6.el7_9.i686.rpm

- Scientific Linux Development Team

SciLinux: SLSA-2022-6711-1 Important: firefox on SL7.x x86_64

This update upgrades Firefox to version 102.3.0 ESR

Summary

Important: firefox security update



Security Fixes

* Mozilla: Bypassing FeaturePolicy restrictions on transient pages (CVE-2022-40959)
* Mozilla: Data-race when parsing non-UTF-8 URLs in threads (CVE-2022-40960)
* Mozilla: Memory safety bugs fixed in Firefox 105 and Firefox ESR 102.3 (CVE-2022-40962)
* Mozilla: Bypassing Secure Context restriction for cookies with __Host and __Secure prefix (CVE-2022-40958)
* Mozilla: Content-Security-Policy base-uri bypass (CVE-2022-40956)
* Mozilla: Incoherent instruction cache when building WASM on ARM64 (CVE-2022-40957)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE
SL7 x86_64 firefox-102.3.0-6.el7_9.x86_64.rpm firefox-debuginfo-102.3.0-6.el7_9.x86_64.rpm firefox-102.3.0-6.el7_9.i686.rpm firefox-debuginfo-102.3.0-6.el7_9.i686.rpm
- Scientific Linux Development Team

Severity
Advisory ID: SLSA-2022:6711-1
Issued Date: : 2022-09-26
CVE Numbers: CVE-2022-40959
CVE-2022-40960
CVE-2022-40958

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.